CreateTeam
/api/v1/teamsCreate a team. The caller becomes its first owner unless owners are given.
Example request
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }' \ "https://us.oblique.security/api/v1/teams"Set OBLIQUE_API_KEY to your API key.
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }' \ "https://eu.oblique.security/api/v1/teams"Set OBLIQUE_API_KEY to your API key.
Query parameters
teamIdstringID of the team to create. This value should be 4-63 characters. Valid characters are /[a-z][0-9]-/.
Request body
namestringAssigned by Oblique.
displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the group.
resourceDescriptionstringIf Oblique is configured to create a resource for the team, this will be the description of that resource. If not provided, a default description will be used. This is only valid on creation events.
Response
200TeamA team represents a group of users. Teams can be hierarchical by specifying a single parent, but can’t be arbitrarily nested.
namestringAssigned by Oblique.
displayNamestringrequiredDisplayed name of the team.
descriptionstringLonger description.
managementManagementHow this team is managed. Set automatically by the server based on the calling client. Omitted from responses when the team is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyTeams can only be soft-deleted to preserve logs and history.
memberCountinteger (int32)read-onlyThe number of members in the group.
resourceDescriptionstringIf Oblique is configured to create a resource for the team, this will be the description of that resource. If not provided, a default description will be used. This is only valid on creation events.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |